package com.goldencode.p2j.persist;

import com.goldencode.p2j.util.character;
import com.goldencode.p2j.util.integer;

/**
 * User: vmn
 * Date: 8/22/13
 *
 * MetaSchemaImpl stub.
 *
 * Not for commit, just for extracting method(s) needed in MetaSchema.
 *
 * Methods are temporary static.
 */
public class MetaSchemaImpl
{

   /**
    * Get field name by field number.
    *
    * @param   dbName
    *          Database name.
    * @param   table
    *          Table name.
    * @param   fieldNumber
    *          Field number.
    *
    * @return  field name.
    */
   public static String getFieldName(String dbName, String table, int fieldNumber)
   {
      return null;
   }

   /**
    * Get number of fields for given table.
    *
    * Needed information should be provided in _file as separate column, i.e. _num_fields.
    *
    * @param   database
    *          Database in which table resides.
    * @param   table
    *          Table name.
    *
    * @return  number of fields.
    */
   public static integer numFields(character database, character table)
   {
      // TODO
      return new integer();
   }

   /**
    * Return primary index for given table.
    *
    * @param   database
    *          Database in which table resides.
    * @param   table
    *          Table name.

    * @return  The primary index or <code>null</code> if there are no indexes explicitly
    *          defined for this table (as long as there is at least 1 explicit index, there is
    *          always a primary index).
    *
    * @throws  PersistenceException
    *          if there is an error querying index information.
    */

   public static P2JIndex getPrimaryIndex(character database, character table)
   throws PersistenceException
   {
      // TODO
      return null;
   }
}
